Loading...
Searching...
No Matches
StereoGroup.h File Reference

Defines the class StereoGroup which stores relationships between the absolute configurations of atoms within a structure. More...

`#include <RDGeneral/export.h>`
`#include <iostream>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | RDKit::StereoGroup

## Namespaces

namespace | RDKit
| Std stuff.

## Enumerations

enum class | RDKit::StereoGroupType { RDKit::STEREO_ABSOLUTE = 0 , RDKit::STEREO_OR = 1 , RDKit::STEREO_AND = 2 }

## Functions

RDKIT_GRAPHMOL_EXPORT void | RDKit::removeAtomFromGroups (const Atom *atom, std::vector< StereoGroup > &groups)
RDKIT_GRAPHMOL_EXPORT void | RDKit::removeGroupsWithAtom (const Atom *atom, std::vector< StereoGroup > &groups)
RDKIT_GRAPHMOL_EXPORT void | RDKit::removeGroupsWithAtoms (const std::vector< Atom * > &atoms, std::vector< StereoGroup > &groups)
RDKIT_GRAPHMOL_EXPORT void | RDKit::assignStereoGroupIds (std::vector< StereoGroup > &groups)
RDKIT_GRAPHMOL_EXPORT void | RDKit::forwardStereoGroupIds (ROMol &mol)
RDKIT_GRAPHMOL_EXPORT std::ostream & | operator<< (std::ostream &target, const RDKit::StereoGroup &stg)
| allows StereoGroup objects to be dumped to streams

## Detailed Description

Defines the class StereoGroup which stores relationships between the absolute configurations of atoms within a structure.

Definition in file StereoGroup.h.

## Function Documentation

## operator<<()

RDKIT_GRAPHMOL_EXPORT std::ostream & operator<< | ( | std::ostream & | target,
|  | const RDKit::StereoGroup & | stg
| ) |  |

allows StereoGroup objects to be dumped to streams